# Copyright 2020 University of Liège
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.


#defining generator
SET(CMAKE_GENERATOR  "Visual Studio 11 Win64" CACHE INTERNAL "" FORCE)

#Libs Directory
STRING(REGEX REPLACE "\\\\" "/" MYLIBS $ENV{METAFORLIBS})

#Libs
SET(SWIG_EXECUTABLE "${MYLIBS}/swigwin/swig.exe" CACHE FILEPATH "" FORCE)

SET(PYTHON_INCLUDE_DIR   "${MYLIBS}/Python/include"             CACHE PATH "" FORCE)
SET(PYTHON_LIBRARY       "${MYLIBS}/Python/Libs/python27.lib"   CACHE FILEPATH "" FORCE)
SET(PYTHON_DEBUG_LIBRARY "${MYLIBS}/Python/Libs/python27_d.lib" CACHE FILEPATH "" FORCE)

SET(MKL_LIB_PATH      "${MYLIBS}/intel/mkl/lib/intel64" "${MYLIBS}/intel/compiler/lib/intel64" CACHE PATH "" FORCE)
SET(MKL_INCLUDE_PATH  "${MYLIBS}/intel/mkl/include"  CACHE PATH "" FORCE)
