#!/usr/bin/env python
# -*- coding: latin-1; -*-

import numpy as np
import os
import shutil

import fwk

from Metafor.Mparams.Metafor_call import Metafor_call

isUnix = lambda: os.name == 'posix'

def model(d):
    # modify the mesh
    import tbox.gmsh as gmsh

    pars={ 'L' : d['L'] , 'L_1' : d['L_1'], 'H' : d['H'], 'H_1' : d['H_1'], 'W' : d['W'], 'nL' : d['nL'], 'nL_1' : d['nL_1'], 'nH' : d['nH'], 'nH_1' : d['nH_1'], 'nW' : d['nW'] }

    gmsh.MeshLoader(d['geo'],__file__).execute(**pars)
   
    # clean the mesh
    
    print_line = True
    
    with open("mirror.msh","r") as input:
        with open("mirror2.msh","w") as output: 
            for line in input:
                if line=="$PhysicalNames"+"\n":
                    print_line = False
                if print_line:
                    output.write(line)
                if line=="$EndPhysicalNames"+"\n":
                    print_line = True   
    
    d['mesh'] = os.getcwd() + '/mirror2.msh'
    # end of mesh part
    
    d['Metafor_model_name'] = 'mirror'
    Metafor_call(d)
    
    mirror_X = np.genfromtxt("mirror_X.ascii", dtype=None)
    mirror_Y = np.genfromtxt("mirror_X.ascii", dtype=None)
    mirror_Z = np.genfromtxt("mirror_X.ascii", dtype=None)
    mirror_displacementZ = np.genfromtxt("mirror_displacementZ.ascii", dtype=None)
    contact_EVMS = np.genfromtxt("contact_EVMS.ascii", dtype=None)

    sol = np.amax(contact_EVMS)
    
    return sol  

