// RVE

Lx = 1.0e-3;
Ly = Lx;

lc = Lx/10;

ix = Lx/2;
iy = Ly/2;
iLx = 2*Lx/3;
iLy = 2*Lx/3;

// -- outer boundary

Point(1) = { 0,   0, 0, lc};
Point(2) = { Lx,  0, 0, lc};
Point(3) = { Lx, Ly, 0, lc};
Point(4) = { 0,  Ly, 0, lc};

Line(1) = {1, 2};
Line(2) = {2, 3};
Line(3) = {3, 4};
Line(4) = {4, 1};

Line Loop(1) = {1, 2, 3, 4};

// -- inclusion

Point(11) = { ix-iLx/2,   iy-iLy/2, 0, lc};
Point(12) = { ix+iLx/2,   iy-iLy/2, 0, lc};
Point(13) = { ix+iLx/2,   iy+iLy/2, 0, lc};
Point(14) = { ix-iLx/2,   iy+iLy/2, 0, lc};

Line(11) = {11, 12};
Line(12) = {12, 13};
Line(13) = {13, 11};
//Line(14) = {14, 11};

Line Loop(11) = {11, 12, 13};//, 14};

Plane Surface(11) = {11};

// -- matrix

Plane Surface(1) = {1, 11};


Physical Point("P1") = {1};
Physical Point("P2") = {2};
Physical Point("P3") = {3};
Physical Point("P4") = {4};

Physical Line("Bottom") = {1};
Physical Line("Right") = {2};
Physical Line("Top") = {3};
Physical Line("Left") = {4};

Physical Surface("Matrix") = {1};
Physical Surface("Inclusion") = {11};





