#!/usr/bin/env python
# -*- coding: latin-1; -*-

from __future__ import print_function
from __future__ import division
from builtins import str
from builtins import range
from past.utils import old_div
from katropton.speedup import *


def CPU_time_per_one_case(case_id, n_samples, ensemble_sizes, quantiles,
                          querylines, use_waves_timers, use_teuchos_timers,
                          per_iteration):
    import matplotlib.pyplot as plt

    case_id = str(case_id)
    file_MC_base_dir = '/Volumes/HD_SEAGATE/CMAME/Plate/MC/katropton_CMAME_tests_plate_MC_MG_all_cases/case_' + case_id
    timers = read_timers_all_ensemble_sizes(n_samples, ensemble_sizes,
                                            file_MC_base_dir, querylines,
                                            use_waves_timers,
                                            use_teuchos_timers)

    print(timers.shape)

    for i in range(0, timers.shape[2]):
        print(querylines[i])
        string = ''
        for e in range(0, timers.shape[0]):
            string = string + str(
                round(np.sum(old_div(timers[e, :, i], ensemble_sizes[e])), 3)) + ' & '
        print(string)
        print(' ')

        for e in range(0, timers.shape[0]):
            tmp = timers[0, :, 7] - timers[0, :, 8] - timers[0, :, 0]
            np.savez('total_s' + str(ensemble_sizes[e]), time=tmp)


def main():
    import matplotlib.pyplot as plt

    n_samples = 6400
    ensemble_sizes = [1]
    quantiles = [0, 0.33, 0.5, 0.66, 1.]

    querylines = [
        'domain', 'Belos: Operation Op*x', 'Belos: Operation Prec*x',
        'Belos: DGKS[2]: Orthogonalization',
        'Belos: PseudoBlockGmresSolMgr total solve time',
        'MueLu: Hierarchy: Setup (total)', 'Belos: DGKS[2]: Ortho (Update)',
        'total', 'write results', 'MueLu: Hierarchy: Solve (level=0)',
        'MueLu: Hierarchy: Solve (level=1)',
        'MueLu: Hierarchy: Solve : smoothing (level=0)',
        'MueLu: Hierarchy: Solve : prolongation (level=0)',
        'MueLu: Hierarchy: Solve : residual calculation (level=0)',
        'MueLu: Hierarchy: Solve : restriction (level=0)',
        'MueLu: SIMPLE: Apply: Update step - level 0',
        'MueLu: SIMPLE: Apply: Prediction step: Solve block 00 - level 0',
        'MueLu: SIMPLE: Apply: Prediction step: Compute RHS - level 0',
        'MueLu: SIMPLE: Apply: Correction step: Solve block 11 - level 0',
        'MueLu: SIMPLE: Apply: Correction step: Compute RHS - level 0',
        'compute contact matrices', 'compute block 00 matrix', 'dp'
    ]
    use_waves_timers = np.array([0, 7, 8, 20, 21, 22], dtype=int)
    use_teuchos_timers = np.array(
        [1, 2, 3, 4, 5, 6, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19],
        dtype=int)
    per_iteration = [
        False, True, True, False, False, False, False, False, False, True,
        True, True, True, True, True, True, True, True, True, True
    ]

    for i in range(6, 7):
        CPU_time_per_one_case(i, n_samples, ensemble_sizes, quantiles,
                              querylines, use_waves_timers, use_teuchos_timers,
                              per_iteration)


if __name__ == "__main__":
    main()
