#!/usr/bin/env python
# -*- coding: latin-1; -*-

from __future__ import print_function
from katropton.eigenvalues import *
from katropton.readers import *
import os
import fwk


def main():
    import matplotlib.pyplot as plt

    file_dir = os.path.dirname(__file__)
    work_dir = os.getcwd()

    display = False

    input_file_dir = file_dir + '/../../../workspace/katropton_CMAME_tests_plate/'

    mshName = input_file_dir+'plate_fused_ast1_s0_0'

    filename_Q = input_file_dir + 'ApCTC_mm.txt'  # 'A_mm_after_bc.txt' #
    filename_GT = input_file_dir + 'B_mm.txt'

    Q = read_mm(filename_Q)
    Q = get_symmetrical_part(Q)
    GT = read_mm(filename_GT)
    G = GT.transpose()

    R = approx_Schur_complement(Q, G, GT)

    if diagonal_dominance(R):
        print('R is diagonally dominant')
    else:
        print('R is not diagonally dominant')
    if diagonal_dominance(Q):
        print('Q is diagonally dominant')
    else:
        print('Q is not diagonally dominant')

    if is_SPD(R):
        print('R is SPD')
    else:
        print('R is not SPD')

    if is_SPD(Q):
        print('Q is SPD')
    else:
        print('Q is not SPD')
    #Qjac = jacobi_iteration_matrix(Q)
    #Rjac = jacobi_iteration_matrix(R)

    #mu_Q = np.absolute(spectral_radius(Qjac))
    #mu_R = np.absolute(spectral_radius(Rjac))

    #print mu_Q
    #print mu_R

    #print 2/(1+np.sqrt(1-mu_Q**2))
    #print 2/(1+np.sqrt(1-mu_R**2))


if __name__ == "__main__":
    main()
