clc
clear all
[it_wo, res_wo] = read_belos('belos.txt');
close all


figure
semilogy(it_wo,res_wo,'o','LineWidth',0.5,...
    'MarkerSize',6,...
    'MarkerEdgeColor','k',...
    'MarkerFaceColor','r')
grid on
box on
set(gca,'fontsize',18)
xlabel('Iteration')
ylabel('(2-Norm Res Vec) / (2-Norm Prec Res0)')

figure

H = show_trilinos_graph('matrix_after_bc.text');
figure
spy(H)

H_sym = (H'+H)/2;
HH = H*H';

H_d_max = eigs(H, 1);
H_d_min = eigs(H, 1, 'sm');

H_sym_d_max = eigs(H_sym, 1);
H_sym_d_min = eigs(H_sym, 1, 'sm');

HH_d_max = eigs(HH, 1);
HH_d_min = eigs(HH, 1, 'sm');

%%

mu = H_sym_d_min;
sigma = sqrt(HH_d_max);

rate = sqrt(1-mu^2/sigma^2)