#ifndef KATROPTON_NODESLIST_H
#define KATROPTON_NODESLIST_H

#include "katropton.h"

#include "Map.h"

#include <Tpetra_Map.hpp>
#include <Tpetra_Vector.hpp>
#include <Teuchos_RCP.hpp>
#include <Kokkos_ViewFactory.hpp>

namespace katropton
{

/**
 * @brief Class used to store the node information.
 */
class NodesList
{
public:
    Kokkos::View<double **, Kokkos::LayoutRight> nodes;

    Map::local_ordinal_type nodes_number;

    NodesList(Problem &pbl, Teuchos::RCP<Map> map);
};

}; // namespace katropton

#endif //KATROPTON_NODESLIST_H
