#ifndef KATROPTON_MEDIUM_H
#define KATROPTON_MEDIUM_H

#include "katropton.h"
#include "wGroup.h"
#include <string>
#include <vector>

namespace katropton
{

/**
 * @brief Class used to specify in Python the different media.
 */
class KATROPTON_API Medium : public tbox::Group
{
public:
    std::string medium_name;
    double E;
    double nu;
    double k;
    double beta;
    std::vector<double> E_vector;
    std::vector<double> nu_vector;
    std::vector<double> k_vector;
    std::vector<double> beta_vector;

    Medium(Problem &pbl,
           int no,
           std::string _medium_name,
           std::vector<double> _E,
           std::vector<double> _nu,
           double _k = 0.,
           double _beta = 0.);

    Medium(Problem &pbl,
           std::string const &name,
           std::string _medium_name,
           std::vector<double> _E,
           std::vector<double> _nu,
           double _k = 0.,
           double _beta = 0.);

    Medium(Problem &pbl,
           int no,
           std::string _medium_name,
           std::vector<double> _E,
           std::vector<double> _nu,
           std::vector<double> _k,
           std::vector<double> _beta);

    Medium(Problem &pbl,
           std::string const &name,
           std::string _medium_name,
           std::vector<double> _E,
           std::vector<double> _nu,
           std::vector<double> _k,
           std::vector<double> _beta);

#ifndef SWIG
    virtual void write(std::ostream &out) const;
#endif
};

} // namespace katropton

#endif //KATROPTON_MEDIUM_H
