#!/usr/bin/env python
# -*- coding: utf-8 -*-

from __future__ import print_function
from builtins import str
from builtins import range
import numpy as np
import time
from params.src.func import grid 

from fwk.wutils import parseargs

if __name__ == "__main__":
    import mirrors.models.mirror_ss as model

    m = 25
    T_min = 100.
    T_max = 300.

    L0 = 250.0
    L0_1 = 250.0
    H0 = 50
    H0_1 = 30 
    W0 = 150
    nL0_1 = 31 
    nL0 = 31  
    nH0 = 21
    nH0_1 = 11 
    nW0 = 25

    #----------
    M = np.zeros((1,))
    M[0] = m
    x, w = grid(M)    

    t = np.zeros((m,))
    Sol = np.zeros((m,))

    date = time.strftime("%d/%m/%Y")
    hour = time.strftime("%H:%M:%S")

    f = open('params_sol.log','w')
    f.write('Parametric loop\n')
    f.write('Simulations started at: ' + date + ' ' + hour + '.\n')
    f.write('====================\n')
    f.write('Mesh: mirrors/model/mirror.geo \n')
    f.write('T_min = ' + str(T_min) + ', T_max = ' + str(T_max) + ', m = ' + str(m) + '.\n')
    f.write('L = ' + str(L0) + ', L_1 = ' + str(L0_1) + ', H = ' + str(H0) + ', H_1 = ' + str(H0_1) + ', W = ' + str(W0) + '.\nnL = ' + str(nL0) + ', nL_1 = ' + str(nL0_1) + ', nH = ' + str(nH0_1) + ', nH_1 = ' + str(nH0_1) + ', nW = ' + str(nW0) + '.\n')
    f.write('====================\n')

    for i in range(0,m) :
        if i > 0:
            f.write('--------------\n')
        t[i] = T_min + (T_max - T_min)*(x[i]+1.)/2.
        Sol[i] = 1.
        #Sol[i] = model.runmodel(L = L0, L_1 = L0_1, H = H0, H_1 = H0_1, W = W0, nL_1 = nL0_1, nL = nL0, nH = nH0, nH_1 = nH0_1, nW = nW0, T = t[i])
        f.write('i = ' + str(i) + '.\n')
        f.write('T = ' + str(t[i]) + '.\n')
        f.write('Sigma_vm_max = ' + str(Sol[i]) + '.\n')

    f.write('====================\n')
    print(w, file=f)
    print(t, file=f)
    print(Sol, file=f)

    date2 = time.strftime("%d/%m/%Y")
    hour2 = time.strftime("%H:%M:%S")
    f.write('====================\n')
    f.write('Simulations finished at: ' + date2 + ' ' + hour2 + '.\n')

    f.close()
