/*
 * Copyright 2020 University of Liège
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "wGaussQuad4.h"
#include "wGaussLine2.h"
#include <stdexcept>
#include <cmath>

using namespace tbox;

GaussQuad4::GaussQuad4(int n) : Gauss()
{
    GaussLine2 g(n);

    for (int i = 0; i < n; ++i)
        for (int j = 0; j < n; ++j)
        {
            p.push_back(Pt(g.p[i].x[0], g.p[j].x[0], 0.0));
            w.push_back(g.w[i] * g.w[j]);
        }
}
