#!/usr/bin/env python
# -*- coding: utf-8 -*-

# Copyright 2020 University of Liège
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.


from builtins import object
import os, os.path

class GUI(object):
    """Default GUI for gmsh
    Romain Boman
    """
    def __init__(self):
        pass
    def open(self,prefix):
        mshfile = prefix+".msh"
        if not os.path.isfile(mshfile):
            raise Exception("file not found %s" % mshfile)
        posfile = prefix+".pos"
        if not os.path.isfile(posfile):
            raise Exception("file not found %s" % posfile)
        optfile = prefix+".opt"
        if not os.path.isfile(optfile):
            self.defopt(optfile)
        cmd="gmsh %s %s %s" % (mshfile, posfile, optfile)
        os.system(cmd)        

    def defopt(self,fname='defaultflowOpt.opt'):
        f = open(fname,'w')
        f.write("General.Orthographic = 0;\n")
        f.close()
    
